Upgrading plugins to CellProfiler 4

Thanks for uploading that. It looks like your build is made for Python 3.6, whereas CellProfiler runs on Python 3.8 - was this intentional? The os.add_dll_directory code I provided should be placed before the problem import statement, but is specific to Python 3.8+.

If you still encounter problems there may be a required DLL file somewhere. I would suggest examining a build with a tool like Dependency Walker to see if there’s another external file not being included or referenced. Python needs to be made aware of all directories where such files exist.

I can switch to Python 3.8. No problem. I will test that. Thanks.